# Maintainer: Mark Wagie <mark dot wagie at tutanota dot com>
# Edited: Viktor Chuchman <norz3nmusic@gmail.com>
pkgname=colloid-nord-gtk-theme
pkgver=2023.04.11.r2.g96d6de27
pkgrel=1
pkgdesc="Modern and clean Gtk theme for linux"
arch=('any')
url="https://www.pling.com/p/1661959"
license=('GPL3')
makedepends=('git' 'sassc')
optdepends=('gtk-engine-murrine: GTK2 theme support'
            'colloid-icon-theme: Matching icon theme'
            'colloid-cursors: Matching cursor theme')
provides=("${pkgname%-git}")
conflicts=("${pkgname%-git}")
options=('!strip')
install="${pkgname}.install"
source=('git+https://github.com/vinceliuice/Colloid-gtk-theme.git')
sha256sums=('SKIP')

pkgver() {
  cd "$srcdir/Colloid-gtk-theme"
  git describe --long --tags | sed 's/\([^-]*-g\)/r\1/;s/-/./g'
}

package() {
  cd "$srcdir/Colloid-gtk-theme"
  install -d "$pkgdir/usr/share/themes"

  # Nord version
  ./install.sh -t default --tweaks nord --tweaks rimless --tweaks normal -c dark -d "$pkgdir/usr/share/themes"

  # Firefox theme
  install -d "$pkgdir/usr/share/doc/${pkgname%-git}"
  cp -r src/other/firefox "$pkgdir/usr/share/doc/${pkgname%-git}/"
}
